Commet
  • Precios
Iniciar SesiónRegistrarse
Create adjustment invoice POSTDownload invoice PDF GETGet invoice GETList invoices GETSend invoice email POSTUpdate invoice status PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Update invoice status

Mark an outstanding invoice as "paid" or "void". Cannot change the status of already paid or voided invoices.

Send invoice email POST

Send the invoice to the customer via email.

Add plan to group POST

Add an existing plan to a plan group with optional sort order.

PUT
/invoices/{id}/status

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

status*string
Value in"paid" | "void"

Response Body

application/json

application/json

curl -X PUT "https://commet.co/api/v1/invoices/string/status" \  -H "Content-Type: application/json" \  -d '{    "status": "paid"  }'

application/json

New invoice status

Mark an outstanding invoice as "paid" or "void". Cannot change the status of already paid or voided invoices.

Invoice public ID

{
  "success": true,
  "data": {
    "object": "invoice",
    "livemode": true,
    "id": "string",
    "status": "string",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}